/*
 * VITAL-5G Slice Inventory
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.v5g.slicing.client.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * The JSON body the Slice Inventory expects when doing a &#x60;POST&#x60;, &#x60;DELETE&#x60; and &#x60;PUT&#x60;request on its southbound interface.
 */
@Schema(description = "The JSON body the Slice Inventory expects when doing a `POST`, `DELETE` and `PUT`request on its southbound interface.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-11-29T11:32:05.527Z[GMT]")
public class EmbbSB {
  @SerializedName("sliceId")
  private String sliceId = null;

  @SerializedName("site")
  private String site = null;

  @SerializedName("expDataRateUL")
  private Integer expDataRateUL = null;

  @SerializedName("expDataRateDL")
  private Integer expDataRateDL = null;

  @SerializedName("areaTrafficCapUL")
  private Integer areaTrafficCapUL = null;

  @SerializedName("areaTrafficCapDL")
  private Integer areaTrafficCapDL = null;

  @SerializedName("userDensity")
  private Integer userDensity = null;

  @SerializedName("userSpeed")
  private Integer userSpeed = null;

  public EmbbSB sliceId(String sliceId) {
    this.sliceId = sliceId;
    return this;
  }

   /**
   * Get sliceId
   * @return sliceId
  **/
  @Schema(description = "")
  public String getSliceId() {
    return sliceId;
  }

  public void setSliceId(String sliceId) {
    this.sliceId = sliceId;
  }

  public EmbbSB site(String site) {
    this.site = site;
    return this;
  }

   /**
   * Get site
   * @return site
  **/
  @Schema(description = "")
  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public EmbbSB expDataRateUL(Integer expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
    return this;
  }

   /**
   * Get expDataRateUL
   * @return expDataRateUL
  **/
  @Schema(description = "")
  public Integer getExpDataRateUL() {
    return expDataRateUL;
  }

  public void setExpDataRateUL(Integer expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
  }

  public EmbbSB expDataRateDL(Integer expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
    return this;
  }

   /**
   * Get expDataRateDL
   * @return expDataRateDL
  **/
  @Schema(description = "")
  public Integer getExpDataRateDL() {
    return expDataRateDL;
  }

  public void setExpDataRateDL(Integer expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
  }

  public EmbbSB areaTrafficCapUL(Integer areaTrafficCapUL) {
    this.areaTrafficCapUL = areaTrafficCapUL;
    return this;
  }

   /**
   * Get areaTrafficCapUL
   * @return areaTrafficCapUL
  **/
  @Schema(description = "")
  public Integer getAreaTrafficCapUL() {
    return areaTrafficCapUL;
  }

  public void setAreaTrafficCapUL(Integer areaTrafficCapUL) {
    this.areaTrafficCapUL = areaTrafficCapUL;
  }

  public EmbbSB areaTrafficCapDL(Integer areaTrafficCapDL) {
    this.areaTrafficCapDL = areaTrafficCapDL;
    return this;
  }

   /**
   * Get areaTrafficCapDL
   * @return areaTrafficCapDL
  **/
  @Schema(description = "")
  public Integer getAreaTrafficCapDL() {
    return areaTrafficCapDL;
  }

  public void setAreaTrafficCapDL(Integer areaTrafficCapDL) {
    this.areaTrafficCapDL = areaTrafficCapDL;
  }

  public EmbbSB userDensity(Integer userDensity) {
    this.userDensity = userDensity;
    return this;
  }

   /**
   * Get userDensity
   * @return userDensity
  **/
  @Schema(description = "")
  public Integer getUserDensity() {
    return userDensity;
  }

  public void setUserDensity(Integer userDensity) {
    this.userDensity = userDensity;
  }

  public EmbbSB userSpeed(Integer userSpeed) {
    this.userSpeed = userSpeed;
    return this;
  }

   /**
   * Get userSpeed
   * @return userSpeed
  **/
  @Schema(description = "")
  public Integer getUserSpeed() {
    return userSpeed;
  }

  public void setUserSpeed(Integer userSpeed) {
    this.userSpeed = userSpeed;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    EmbbSB embbSB = (EmbbSB) o;
    return Objects.equals(this.sliceId, embbSB.sliceId) &&
        Objects.equals(this.site, embbSB.site) &&
        Objects.equals(this.expDataRateUL, embbSB.expDataRateUL) &&
        Objects.equals(this.expDataRateDL, embbSB.expDataRateDL) &&
        Objects.equals(this.areaTrafficCapUL, embbSB.areaTrafficCapUL) &&
        Objects.equals(this.areaTrafficCapDL, embbSB.areaTrafficCapDL) &&
        Objects.equals(this.userDensity, embbSB.userDensity) &&
        Objects.equals(this.userSpeed, embbSB.userSpeed);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sliceId, site, expDataRateUL, expDataRateDL, areaTrafficCapUL, areaTrafficCapDL, userDensity, userSpeed);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EmbbSB {\n");
    
    sb.append("    sliceId: ").append(toIndentedString(sliceId)).append("\n");
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    expDataRateUL: ").append(toIndentedString(expDataRateUL)).append("\n");
    sb.append("    expDataRateDL: ").append(toIndentedString(expDataRateDL)).append("\n");
    sb.append("    areaTrafficCapUL: ").append(toIndentedString(areaTrafficCapUL)).append("\n");
    sb.append("    areaTrafficCapDL: ").append(toIndentedString(areaTrafficCapDL)).append("\n");
    sb.append("    userDensity: ").append(toIndentedString(userDensity)).append("\n");
    sb.append("    userSpeed: ").append(toIndentedString(userSpeed)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
